> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apipayment services



## OpenAPI

````yaml api-reference/openapi.json post /api/payment-services/{paymentMethodId}
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/payment-services/{paymentMethodId}:
    post:
      tags:
        - Payment Services
      operationId: PaymentServicesController_updatePaymentMethod
      parameters:
        - name: paymentMethodId
          required: true
          in: path
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EditPaymentMethodDTO'
      responses:
        '200':
          description: ''
components:
  schemas:
    EditPaymentMethodDTO:
      type: object
      properties:
        options:
          description: Edit payment method options
          allOf:
            - $ref: '#/components/schemas/EditPaymentMethodOptionsDto'
        name:
          type: string
          description: Payment method name
    EditPaymentMethodOptionsDto:
      type: object
      properties: {}

````